Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.anim
Class SWController

    java.lang.Object
      |
      +--quicktime.app.actions.MouseController
            |
            +--quicktime.app.anim.SWController

All Implemented Interfaces:
  Collection, Controller, java.util.EventListener, Listener, ListenerController, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

Deprecated. since QTJava 4.0

public class SWController
extends MouseController

The SWController deals with SpriteWorldHitTest calls on the SpriteWorld that is contained by the SWCompositor's sub classes. By default it will do hit testing on the actual sprite image itself. However, an application can set the hit-test flags to support any mode of hit testing appropriate.

See Also:
  `QTMouseController`

Fields inherited from class quicktime.app.actions.MouseController
`xLocationOffset, yLocationOffset`

Constructor Summary
`SWController(MouseResponder mr, boolean wholeSpace)` Deprecated. Construct a SWController object.
`SWController(MouseResponder mr, boolean wholeSpace, int flags)` Deprecated. Construct a SWController object.

Method Summary
`protected void` | `deactivateResponder()` Deprecated. A method that is called whenever the MouseController deactivates its responder.
`int` | `getFlags()` Deprecated. Returns the flags that control the hit test parameters on the SpriteWorld.
`protected java.lang.Object` | `getSelected(java.awt.event.MouseEvent event)` Deprecated. This method is called when a MouseController has received a mouse event in its space.
`Space` | `getSpace()` Deprecated. Returns the current Space that the SWController is attached to.
`protected void` | `responderActivated()` Deprecated. A notification method that is called whenever the MouseController activates its responder.
`void` | `setFlags(int flags)` Deprecated. Set the flags for controlling the hit test behaviour of the SpriteWorld.
`protected void` | `setTargetSpace(Space target)` Deprecated. Sets the target Space of the MouseController.
`protected void` | `setTranslation()` Deprecated. This method is used to setup translation values for x and y of an event to translate the event into the local coordinate space of a member's display Space.

Methods inherited from class quicktime.app.actions.MouseController
`addedTo, addedToSpace, addMember, doDragTarget, getResponder, hasMember, isAppropriate, isEmpty, isWholespace, members, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, removedFrom, removedFromSpace, removeMember, setWholespace, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWController

    public SWController(MouseResponder mr,
                        boolean wholeSpace)

  Deprecated.
  Construct a SWController object.
  Parameters:
    `mr` - the Responder that will respond to mouse events when a sprite is hit.
    `wholeSpace` - if true all object that are in the space will be dragged. If false then you must explicitly add the object to the controller.

### SWController

    public SWController(MouseResponder mr,
                        boolean wholeSpace,
                        int flags)

  Deprecated.
  Construct a SWController object.
  Parameters:
    `mr` - the Responder that will respond to mouse events when a sprite is hit.
    `wholeSpace` - if true all object that are in the space will be dragged. If false then you must explicitly add the object to the controller.
    `flags` - that will control the hit test parameters of the SpriteWorld

Method Detail

### getSpace

    public Space getSpace()

  Deprecated.
  Returns the current Space that the SWController is attached to. This space will be an instance of the SWCompositor class.
  Overrides:
    `getSpace` in class `MouseController`
  Returns:
    the Space the controller is attached to.

### setTargetSpace

    protected void setTargetSpace(Space target)

  Deprecated.
  Sets the target Space of the MouseController. This target must be a kind of SWCompositor class.
  Overrides:
    `setTargetSpace` in class `MouseController`
  Parameters:
    `target` - the potential target space for the SWController.

### getFlags

    public int getFlags()

  Deprecated.
  Returns the flags that control the hit test parameters on the SpriteWorld.

### setFlags

    public void setFlags(int flags)

  Deprecated.
  Set the flags for controlling the hit test behaviour of the SpriteWorld.

### deactivateResponder

    protected void deactivateResponder()

  Deprecated.
  A method that is called whenever the MouseController deactivates its responder. A subclass should use this method to deactivate a responder (either explicitly or calling super.deactivateResponder). For example a user may have dragged a member out of a group, so the drag action's target is no longer valid and the Responder has no target to act upon.
  Overrides:
    `deactivateResponder` in class `MouseController`

### responderActivated

    protected void responderActivated()

  Deprecated.
  A notification method that is called whenever the MouseController activates its responder.
  Overrides:
    `responderActivated` in class `MouseController`

### setTranslation

    protected void setTranslation()

  Deprecated.
  This method is used to setup translation values for x and y of an event to translate the event into the local coordinate space of a member's display Space. In the case of a DirectGroup the translation is (0, 0), in the case of a Compositor member (which can be embedded n-deep) the translation is the sum of the locations of the space's parents.

  The method sets the value of the protected instance variables xLocationOffset and yLocation offset.

  Overrides:
    `setTranslation` in class `MouseController`

### getSelected

    protected java.lang.Object getSelected(java.awt.event.MouseEvent event)
                                    throws QTException

  Deprecated.
  This method is called when a MouseController has received a mouse event in its space. This method returns a TwoDSprite object if the SpriteWorld.hitTest method returns a Sprite at the event's location.
  Overrides:
    `getSelected` in class `MouseController`
  Parameters:
    `event` - a mouse down event
  Returns:
    a TwoDSprite object that is located at the event coordinates or null if no Sprite at the location of the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD